Apache log4cxx Version @version@

Public Member Functions | List of all members
synchronized Class Reference

utility class for objects multi-thread synchronization. More...

`#include <synchronized.h>`

## Public Member Functions
| synchronized (const Mutex &mutex)
| synchronized (apr_thread_mutex_t *mutex)
| ~synchronized ()

## Detailed Description

utility class for objects multi-thread synchronization.

## Constructor & Destructor Documentation

## ◆ synchronized() [1/2]

synchronized | ( | const Mutex & | mutex | ) |

## ◆ synchronized() [2/2]

synchronized | ( | apr_thread_mutex_t * | mutex | ) |

## ◆ ~synchronized()

~synchronized | ( |  | ) |

The documentation for this class was generated from the following file:

- synchronized.h